summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2018-06-27 12:08:29 +0200
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-30 07:00:19 +0700
commit9fed72d60d5d754fe3ce5c80f57d60a2d6520665 (patch)
tree4193c3122f8f9f3f11ce146bde5f640feed9b65d
parent7d64afd6a89dcd8455cff5c2ae1ad1743e70a8ed (diff)
downloadslackbuilds-9fed72d60d5d754fe3ce5c80f57d60a2d6520665.tar.gz
slackbuilds-9fed72d60d5d754fe3ce5c80f57d60a2d6520665.tar.xz
libraries/gavl: Cleanups, added a license.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/gavl/gavl.SlackBuild50
1 files changed, 35 insertions, 15 deletions
diff --git a/libraries/gavl/gavl.SlackBuild b/libraries/gavl/gavl.SlackBuild
index 68f001f65e..503719cff0 100644
--- a/libraries/gavl/gavl.SlackBuild
+++ b/libraries/gavl/gavl.SlackBuild
@@ -2,17 +2,34 @@
# Slackware build script for gavl
-# Written by Matteo Bernardini <ponce@slackbuilds.org>
-# based on slackbuilds.org default template
+# Copyright 2010-2018 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gavl
VERSION=${VERSION:-1.4.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -25,8 +42,8 @@ OUTPUT=${OUTPUT:-/tmp}
# Specify CFLAGS following maintainers reccomendations
# PIC is autodetected
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O3 -march=i486 -mtune=i686 "
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O3 -march=i586 -mtune=i686 "
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O3 -march=i686 -mtune=i686"
@@ -52,13 +69,18 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
+sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac
+
+./autogen.sh
# Cut this from the code so that we can specify our CFLAGS without doubling them
-sed -i "s|^lqt_additional_opt_flags|lqt_additional_opt_flags=\"\"|" configure
+sed -i "s|^lqt_additional_opt_flags|lqt_additional_opt_flags=\"\"|" configure || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -76,13 +98,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install